diff options
author | MarcoFalke <falke.marco@gmail.com> | 2020-03-26 09:10:00 -0400 |
---|---|---|
committer | MarcoFalke <falke.marco@gmail.com> | 2020-03-26 09:10:31 -0400 |
commit | f3a91ab0edc70e1bcb7e770f0878f03459c399e1 (patch) | |
tree | 9898b99faaa8428aef6c31ce0561b7729d01fba6 | |
parent | e99ca783cd2d064734dfe7920bcfa438355b5aab (diff) | |
parent | 25c8b73656c90f7b78a90f25c5bcc308f8b7c598 (diff) |
Merge #18438: ci: Use Homebrew addon on native macOS
25c8b73656c90f7b78a90f25c5bcc308f8b7c598 ci: Use Homebrew addon on native macOS (Hennadii Stepanov)
596c627a1eb2b32e2755ae5b9bf32235cf8ce72b ci: Fix brew in Travis (Hennadii Stepanov)
Pull request description:
Recently almost every macOS image update on Travis breaks our builds:
- #17848
- #18436
This PR:
- fixes the error caused by the recent [update](https://changelog.travis-ci.com/xcode-11-3-1-xcode-11-2-1-xcode-11-1-and-xcode11-images-updated-142286) from 10.14.4 (18E226) to 10.14.6 (18G3020) on March 25
- leverages [Homebrew addon](https://config.travis-ci.com/ref/job/addons/homebrew) to install packages
Homebrew is not told to install `automake` and `pkg-config` packages, as the [docs](https://docs.travis-ci.com/user/reference/osx/#compilers-and-build-toolchain) states that they are pre-installed:
> - automake 1.16.1
> - pkg-config 0.29.2
Top commit has no ACKs.
Tree-SHA512: 1a70c06468fbe162503081b03dcf54614d67abf8ff0ce07d118b5bb50bbb92c182a76f769bea586c691aa82b9281a29cdef88091acc16895817a2e7cddafec6e
-rw-r--r-- | .travis.yml | 16 | ||||
-rw-r--r-- | ci/test/00_setup_env_mac_host.sh | 1 | ||||
-rwxr-xr-x | ci/test/04_install.sh | 20 |
3 files changed, 14 insertions, 23 deletions
diff --git a/.travis.yml b/.travis.yml index 9a111c03ad..e61bba4afb 100644 --- a/.travis.yml +++ b/.travis.yml @@ -153,8 +153,20 @@ jobs: name: 'macOS 10.14 native [GOAL: install] [GUI] [no depends]' os: osx # Use the most recent version: - # Xcode 11.2.1, macOS 10.14, JDK 13.0.1, SDK 10.15 + # Xcode 11.3.1, macOS 10.14, SDK 10.15 # https://docs.travis-ci.com/user/reference/osx/#macos-version - osx_image: xcode11.2 + osx_image: xcode11.3 + addons: + homebrew: + packages: + - libtool + - berkeley-db4 + - boost + - miniupnpc + - qt + - qrencode + - python3 + - ccache + - zeromq env: >- FILE_ENV="./ci/test/00_setup_env_mac_host.sh" diff --git a/ci/test/00_setup_env_mac_host.sh b/ci/test/00_setup_env_mac_host.sh index 0b437a723f..5753c3af31 100644 --- a/ci/test/00_setup_env_mac_host.sh +++ b/ci/test/00_setup_env_mac_host.sh @@ -7,7 +7,6 @@ export LC_ALL=C.UTF-8 export HOST=x86_64-apple-darwin16 -export BREW_PACKAGES="automake berkeley-db4 libtool boost miniupnpc pkg-config qt qrencode python3 ccache zeromq" export PIP_PACKAGES="zmq" export RUN_CI_ON_HOST=true export RUN_UNIT_TESTS=true diff --git a/ci/test/04_install.sh b/ci/test/04_install.sh index 62c8df964a..acf7eeb920 100755 --- a/ci/test/04_install.sh +++ b/ci/test/04_install.sh @@ -14,28 +14,8 @@ if [[ $QEMU_USER_CMD == qemu-s390* ]]; then fi if [ "$TRAVIS_OS_NAME" == "osx" ]; then - set +o errexit - pushd /usr/local/Homebrew || exit 1 - git reset --hard origin/master - popd || exit 1 - set -o errexit - ${CI_RETRY_EXE} brew unlink python@2 - ${CI_RETRY_EXE} brew update - # brew upgrade returns an error if any of the packages is already up to date - # Failure is safe to ignore, unless we really need an update. - brew upgrade $BREW_PACKAGES || true - - # install new packages (brew install returns an error if already installed) - for i in $BREW_PACKAGES; do - if ! brew list | grep -q $i; then - ${CI_RETRY_EXE} brew install $i - fi - done - export PATH="/usr/local/opt/ccache/libexec:$PATH" - ${CI_RETRY_EXE} pip3 install $PIP_PACKAGES - fi mkdir -p "${BASE_SCRATCH_DIR}" |